/* help.c
 * v0.91
 * 
 * Holger Danielsson
 * (dani@lara.prima.ruhr.de)
 * 6.9.1996
 */

#include <stdio.h>
#include <stdlib.h>

#include "execute.h"

int execute_help(void)
{
   if (ansi)
       printf("\033[1;36m");
   puts("shell commands: ");
   puts("    set    : set environment                  cd     : change path");
   puts("    orgenv : restore orginal environment      drive  : change drive");
   puts("    rename : rename file                      dir    : list directory");
   puts("    cls    : clear screen                     mkdir  : make directory");
   puts("    echo   : echo command                     md     : make directory");
   puts("    exit   : quit shell                       rmdir  : remove directory");
   puts("    help   : this text                        rd     : remove directory");
   puts("    EMX prgs and .bat prgs                    del    : delete files");
   puts("additional batch commands:");
   puts("    goto   : jump to a label");
   puts("    if     : if [not] errorlevel number command...");
   puts("    if     : if [not] exist directory command...");
   puts("    if     : if [not] exist file command...");
   puts("    rem    : ignore line");
   puts("command-line: ");
   puts("    Up     : last command                     END    : goto end of command");
   puts("    Home   : goto begin command               ESC    : clear command");
   if (ansi)
      printf("\033[0m");
   return 0;
}

